# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

inherit cmake-utils subversion

DESCRIPTION="DigiDoc client for the Estonian ID card."
HOMEPAGE="http://www.id.ee/"
ESVN_REPO_URI="https://svn.eesti.ee/projektid/idkaart_public/branches/3.5/qdigidoc"
KEYWORDS="~amd64 ~x86"
LICENSE="LGPL-2.1"
SLOT="0"
IUSE="+opensc"

RDEPEND="
	net-nds/openldap
	dev-libs/libdigidoc
	dev-libs/libdigidocpp
	dev-libs/openssl
	dev-libs/libp11
	opensc? ( dev-libs/opensc )
	>=x11-libs/qt-gui-4.4.0
	dev-libs/xerces-c
	dev-cpp/xsd
"

src_configure() {
	cmake-utils_src_configure
}
