# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

inherit cmake-utils subversion

DESCRIPTION="Estonian ID card utility."
HOMEPAGE="http://www.id.ee/"
ESVN_REPO_URI="https://svn.eesti.ee/projektid/idkaart_public/branches/3.5-rc/qesteidutil"
KEYWORDS="~amd64 ~x86"
LICENSE="LGPL-2.1"
SLOT="0"
IUSE="+opensc"

RDEPEND="
	>=x11-libs/qt-gui-4.6.0
	>=x11-libs/qt-webkit-4.6.0
	opensc? ( dev-libs/opensc )
	dev-libs/libp11
	dev-libs/smartcardpp
	sys-devel/libtool
"

src_configure() {
	cmake-utils_src_configure
}
