# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

inherit cmake-utils subversion

DESCRIPTION="Generic library implementing the XAdES digital signature standard."
HOMEPAGE="http://www.id.ee/"
ESVN_REPO_URI="https://svn.eesti.ee/projektid/idkaart_public/branches/3.5-rc/libdigidoc"
KEYWORDS="~amd64 ~x86"
LICENSE="LGPL-2.1"
SLOT="0"
IUSE="+opensc"

DEPEND="
	dev-libs/libxml2
	dev-libs/openssl
	opensc? ( dev-libs/opensc )
	sys-libs/zlib
	virtual/libiconv
"

src_configure() {
	cmake-utils_src_configure
}
