# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

inherit cmake-utils subversion

DESCRIPTION="C++ library for creating and validating BDOC-1.0 documents."
HOMEPAGE="http://www.id.ee/"
ESVN_REPO_URI="https://svn.eesti.ee/projektid/idkaart_public/branches/3.5-rc/libdigidocpp"
KEYWORDS="~amd64 ~x86"
LICENSE="LGPL-2.1"
SLOT="0"
IUSE="+opensc"

DEPEND="
	dev-libs/libdigidoc
	dev-libs/openssl
	dev-libs/libp11
	opensc? ( dev-libs/opensc )
	dev-libs/xerces-c[icu]
	dev-libs/xml-security-c
	dev-cpp/xsd
	sys-libs/zlib
	dev-libs/icu
"

src_configure() {
	cmake-utils_src_configure
}
